# 2021 rCore夏令营

## 结构说明
* exercise ：rust练习代码
* weeks ：每周记录
* lab ：lab代码
## 学习记录

[第一周记录](weeks/第一周.md)

[第二周记录](weeks/第二周.md)

[第三周记录](weeks/第三周.md)

由于notion用起来太舒服了(这软件图片随便传，还提供同步服务，不会亏钱的吗？), 所以有些记录放在notion里了

[总学习记录](https://www.notion.so/xuebling/rCore-bf1f5369c3f840aab22485415e55e0e6)

[自问自答](https://www.notion.so/xuebling/Question-6b6e38a344e6492bbfcbf95873d3bb6b)


## rust练习

rust初级编程：[rustlings](exercise/rustlings)

rust中级编程：在[第一周记录](weeks/第一周.md)和[第二周记录](weeks/第二周.md)中

rust中高级编程：我用rust写了一个后端程序，这也是我的实习工作内容，使用了rocket和rbatis框架，代码出于保密原因无法上传，rust的代码量在2000行(不算空行，不算注释)左右

## rCore Tutorial v3的实验指导内容

理解lab1-8的各个小节和代码，完成实验题一 ~ 六

 [lab1](lab/lab1/Lab-1.md) 

 [lab2](lab/lab2/Lab-2.pdf) 

 [lab3](lab/lab3/Lab-3.pdf) 

 [lab4](lab/lab4/Lab-4.pdf) 

 [lab5](lab/lab5/Lab-5.pdf) 

 [lab6](lab/lab6/Lab-6.pdf) 